Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Static Public Attributes | List of all members
cutlass::gemm::IgemmEpilogueTraits< IgemmConfig_, EpilogueFunctor_, Index_, Helper_ > Struct Template Reference

`#include <igemm_epilogue.h>`

Inheritance diagram for cutlass::gemm::IgemmEpilogueTraits< IgemmConfig_, EpilogueFunctor_, Index_, Helper_ >:

## Static Public Attributes
static bool const | kInt8Output
| Do we output in int8? More...

## Additional Inherited Members
Public Types inherited from cutlass::gemm::GemmEpilogueTraits< IgemmConfig_::OutputTile, IgemmConfig_::Accumulators, Helper_::GlobalLoadIteratorC, Helper_::GlobalTransformerC, Helper_::GlobalTransformerD, Helper_::GlobalStoreIteratorD, Helper_::SharedStoreIteratorD, Helper_::SharedStoreTransformerD, Helper_::SharedLoadStreamD, Helper_::Iterations, Helper_::Delta, EpilogueFunctor_, Index_ >
typedef IgemmConfig_::OutputTile | OutputTile
| The output tile. More...
typedef IgemmConfig_::Accumulators | Accumulators
typedef Helper_::GlobalLoadIteratorC | GlobalLoadIteratorC
| The iterator for C in global memory. More...
typedef Helper_::GlobalTransformerC | GlobalTransformerC
| The transformer for C. More...
typedef Helper_::GlobalTransformerD | GlobalTransformerD
| The transformer for D. More...
typedef Helper_::GlobalStoreIteratorD | GlobalStoreIteratorD
| The iterator for D in global memory. More...
typedef Helper_::SharedStoreIteratorD | SharedStoreIteratorD
| The iterator to store D in shared memory. More...
typedef Helper_::SharedStoreTransformerD | SharedStoreTransformerD
| The shared store transformer for D. More...
typedef Helper_::SharedLoadStreamD | SharedLoadStreamD
| The stream to store D in shared memory. More...
typedef Helper_::Iterations | Iterations
| typedef typename GemmConfig::EpilogueIterations Iterations; More...
typedef Helper_::Delta | Delta
| The iterations strides. More...
typedef EpilogueFunctor_ | Functor
| The functor in charge of the math. More...
typedef Index_ | Index
| The index. More...
typedef long long | LongIndex
| The long index. More...
typedef Functor::Scalar | Scalar
| We do not support 3D or 4D shapes. More...
typedef GlobalLoadIteratorC::Scalar | ScalarC
| The scalar for C. More...
typedef GlobalStoreIteratorD::Scalar | ScalarD
| The scalar for D. More...

## Member Data Documentation

## ◆ kInt8Output

template<typename IgemmConfig_ , typename EpilogueFunctor_ , typename Index_ = int, typename Helper_ = IgemmEpilogueTraitsHelper<IgemmConfig_, EpilogueFunctor_, Index_>>

bool const cutlass::gemm::IgemmEpilogueTraits< IgemmConfig_, EpilogueFunctor_, Index_, Helper_ >::kInt8Output
| static

Initial value:
=
platform::is_same<typename IgemmConfig_::ScalarC, int8_t>::value != 0

The documentation for this struct was generated from the following file:

- igemm_epilogue.h